/*
 * EmpiezaCeroDependienteDep.java
 *
 * 
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

import com.fidufosyga.rules.util.ValidarFecha;

/**
 * 
 * @author Elkin A. Cantillo Garcia
 */
public class EmpiezaCeroDependienteDepValidaCero extends AbstractRule {

	/** Creates a new instance of CampoVacio */
	public EmpiezaCeroDependienteDepValidaCero() {
	}

	// 9,N01,11,TI
	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {
		String codigoNovedad = registro[new Integer((String) getParams()[0])
				.intValue()];
		if (codigoNovedad.equals((String) getParams()[1])) {
			String otroCampo = registro[new Integer((String) getParams()[2])
					.intValue()];
			if (otroCampo.equals(getParams()[3])) {
				// EACG.30/03/2009.INI.A19115.Ajustes Malla Validadora, valida
				// Inicio Cero.
				// if (field.length() > 0)
				if (field.length() > 0) {
					String FechaNacimiento = registro[new Integer(
							(String) getParams()[4])];
					if (!ValidarFecha.esFecha(FechaNacimiento))
						return false;
					Integer AnnoNacimiento = new Integer(
							(FechaNacimiento.substring(6)));
					if (AnnoNacimiento >= 2000)
						if (field.charAt(0) == '0'
								|| (field.substring(0, 2)).compareTo("00") != 0)
							return false;

					// EACG.30/03/2009.FIN.A19115.
					if (field.charAt(0) == ('0')) {
						return true;
					}
				}
			}
		}
		return false;
	}
}
